PrefabFiles = {
	"mygik",
	"mygik_none",
	"yshanka",
	"axekasha",
	"mstick",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/mygik.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mygik.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mygik.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mygik.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/mygik_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mygik_silho.xml" ),

    Asset( "IMAGE", "bigportraits/mygik.tex" ),
    Asset( "ATLAS", "bigportraits/mygik.xml" ),
	
	Asset( "IMAGE", "images/map_icons/mygik.tex" ),
	Asset( "ATLAS", "images/map_icons/mygik.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_mygik.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_mygik.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_mygik.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_mygik.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_mygik.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_mygik.xml" ),
	
	Asset( "IMAGE", "images/names_mygik.tex" ),
    Asset( "ATLAS", "images/names_mygik.xml" ),
	
    Asset( "IMAGE", "bigportraits/mygik_none.tex" ),
    Asset( "ATLAS", "bigportraits/mygik_none.xml" ),
	
	Asset( "IMAGE", "images/inventoryimages/axekasha.tex" ),
	Asset( "ATLAS", "images/inventoryimages/axekasha.xml" ),
	
	Asset("ANIM", "anim/mstick.zip"),
    Asset("ANIM", "anim/swap_mstick.zip"),

}

local require = GLOBAL.require
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local TECH = GLOBAL.TECH
local ACTIONS = GLOBAL.ACTIONS
GLOBAL.STRINGS.NAMES.MSTICK = "Деревянная палочка"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MSTICK = "Всё в этом мире - магия, но только не для волшебника"
GLOBAL.STRINGS.NAMES.AXEKASHA = "Каша из топора"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.AXEKASHA = "Ни одна бабуля не пострадала"
if GLOBAL.KnownModIndex:IsModEnabled("workshop-354836336") or GLOBAL.KnownModIndex:IsModForceEnabled("workshop-354836336") then
	-- The character select screen lines
	STRINGS.CHARACTER_TITLES.mygik = "Тиграхвост"
	STRINGS.CHARACTER_NAMES.mygik = "Mygik"
	STRINGS.CHARACTER_DESCRIPTIONS.mygik = "*То что не укладывается в голове кладет в шапку\n*Ловко слеплен — ну вылитый я в молодости\n*Не выговаривает некоторые буквы и цифры"
	STRINGS.CHARACTER_QUOTES.mygik = "\"Маловато будет!\""

	-- Custom speech strings
	STRINGS.CHARACTERS.MYGIK = require "speech_mygik_rus"

	-- The character's name as appears in-game 
	STRINGS.NAMES.MYGIK = "Mygik"
else
	STRINGS.CHARACTER_TITLES.mygik = "Tiggertail"
	STRINGS.CHARACTER_NAMES.mygik = "Mygik"
	STRINGS.CHARACTER_DESCRIPTIONS.mygik = "*What he hardly take it in, he put it in the hat\n*Speak no English"
	STRINGS.CHARACTER_QUOTES.mygik = "\"Not enough!\""

	-- Custom speech strings
	STRINGS.CHARACTERS.MYGIK = require "speech_mygik_rus"

	-- The character's name as appears in-game 
	STRINGS.NAMES.MYGIK = "Mygik"
end

AddMinimapAtlas("images/map_icons/mygik.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("mygik", "MALE")

local antidoteRecipe = Recipe(
	"mstick",
	{
		Ingredient("rabbit", 4),
		Ingredient("livinglog", 1),
	},
	RECIPETABS.MAGIC,
	TECH.MAGIC_TWO
)
antidoteRecipe.atlas = GLOBAL.resolvefilepath("images/inventoryimages/mstick.xml")
STRINGS.RECIPE_DESC.MSTICK = "Разработка НУИНУ"
local function mstick_onattack(inst, attacker, target)
	if target~=nil and target:IsValid() and not target:HasTag("player") and not target:HasTag("playerghost") then 
		local pos = GLOBAL.Vector3(target.Transform:GetWorldPosition())
		target:Remove()
		local unit=GLOBAL.SpawnPrefab("rabbit")    
		unit.Transform:SetPosition(pos:Get())
	end
end

local function mstick_postinit(inst)
	if inst.components.weapon then
		inst.components.weapon.onattack = mstick_onattack
	end
end
AddPrefabPostInit("mstick", mstick_postinit)

local containers = GLOBAL.require("containers")
local oldwidgetsetup = containers.widgetsetup
containers.widgetsetup = function(container, prefab)	
	if not prefab and container.inst.prefab == "yshanka" then		
		prefab = "backpack"	
	end	
	oldwidgetsetup(container, prefab)
end

AddIngredientValues({"axe"}, {axe=1})

local axekasha_recipe = {
	name = "axekasha",
	test = function(cooker, names, tags) return (tags.axe and tags.axe >= 1) and tags.fruit end,
		priority = 30,
		weight = 1,
		foodtype = "VEGGIE",
		health = TUNING.HEALING_SMALL,		
		hunger = 100,		
		perishtime = TUNING.PERISH_SUPERFAST,	
		sanity = TUNING.SANITY_SMALL,		
		cooktime = 1.0,
}
AddCookerRecipe("cookpot", axekasha_recipe)
