local assets =
{ 
    Asset("ANIM", "anim/yshanka.zip"),


    Asset("ATLAS", "images/inventoryimages/yshanka.xml"),
    Asset("IMAGE", "images/inventoryimages/yshanka.tex"),
}

local prefabs = 
{
}

local function OnEquip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_hat", "yshanka", "swap_hat")
	
    owner.AnimState:Show("HAT")
    owner.AnimState:Show("HAT_HAIR")
    owner.AnimState:Hide("HAIR_NOHAT")
    owner.AnimState:Hide("HAIR")

    if owner:HasTag("player") then
        owner.AnimState:Hide("HEAD")
        owner.AnimState:Show("HEAD_HAT")
    end
	
	if inst.components.container ~= nil then
        inst.components.container:Open(owner)
    end
end

local function OnUnequip(inst, owner) 

    owner.AnimState:Hide("HAT")
    owner.AnimState:Hide("HAT_HAIR")
    owner.AnimState:Show("HAIR_NOHAT")
    owner.AnimState:Show("HAIR")

    if owner:HasTag("player") then
        owner.AnimState:Show("HEAD")
        owner.AnimState:Hide("HEAD_HAT")
    end
	
	if inst.components.container ~= nil then
        inst.components.container:Close(owner)
    end
end

local function fn()

    local inst = CreateEntity()
    
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
	
	inst.entity:AddSoundEmitter()
	
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("featherhat")
    inst.AnimState:SetBuild("yshanka")
    inst.AnimState:PlayAnimation("anim")
	
	inst.foleysound = "dontstarve/movement/foley/backpack"
	inst:AddTag("backpack")

    inst:AddTag("hat")
	inst:AddTag("waterproofer")

    if not TheWorld.ismastersim then
        return inst
    end

    inst.entity:SetPristine()
	
    inst:AddComponent("inspectable")
	
	

    inst:AddComponent("tradable")

    inst:AddComponent("inventoryitem")
	--inst.components.inventoryitem.cangoincontainer = false
    inst.components.inventoryitem.imagename = "yshanka"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/yshanka.xml"
    

	inst:AddComponent("container")
    inst.components.container:WidgetSetup("backpack")
	
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
    inst.components.equippable:SetOnEquip(OnEquip)
    inst.components.equippable:SetOnUnequip(OnUnequip)
	inst.components.equippable.dapperness = -1*TUNING.DAPPERNESS_TINY
	
		
	
	
	inst:AddComponent("waterproofer")
	inst.components.waterproofer:SetEffectiveness(TUNING.WATERPROOFNESS_SMALL)
	
	inst:AddComponent("insulator")
    inst.components.insulator.insulation = TUNING.INSULATION_LARGE

    MakeHauntableLaunch(inst)

    return inst
end

STRINGS.NAMES.YSHANKA = "Мужицкая ушанка"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.YSHANKA = "Мой размерчик!"

return  Prefab("common/inventory/yshanka", fn, assets, prefabs)